function [ out ] = V_Oe( theta, U, Y )
%V_ARX [ out ] = V_Oe( theta, u, y )
%
%   return the sum of the square prediction error 
%   of an arx model with nf = 2, nb = 1
%
%   INPUT parameter
%       theta: [f1 f2 b1]'
%       u, y : input and output measurement
%

%% initialization parameter
N = length(U);
T = 3:N;

Yu = [[Y(1) Y(2)]' ; NaN(N-2,1)];


%% compute predition 
% simulation cycle
for i = T
    % modello oe
    phi = [Yu(i-1) Yu(i-2) U(i-1)]; 
    Yu(i) = phi*theta;            
end

Yp = Yu; % predictions are equivalent to Yu for OE models

%% evaluate the predition error
e_p = Y(T) - Yp(T);

out = e_p'*e_p;
out = out/(2*(N-2));
